package com.rv.share.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;
import java.math.BigDecimal;

public class OrderGoodsBean extends BaseBean {

    private OrderGoodsData data ;

    public OrderGoodsData getData() {
        return data;
    }

    public void setData(OrderGoodsData data) {
        this.data = data;
    }

    private boolean rel ;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class OrderGoodsData implements Serializable {
        public int id ;
        public String no ;
        public String name;
        public int type ;
        public int status;
        public BigDecimal goodsAmount;
        public BigDecimal orderAmount;
        public BigDecimal realAmount;
        public String picture ;
        public String crtTime ;
        public long userId;
        public String updTime;
        public String crtHost;
        public int refundStatus ;
        public int hasDiscount ;
        public int hasMemberRight ;
        public int hasPay ;
        public int version;
        public int orderOrigin;
        public int payOrigin;
        public BigDecimal couponAmount;
        public int memberLevel;
        public BigDecimal damagesAmount;
        public BigDecimal extraAmount;
        public long parentUserId;
        public long invoiceStatus;
        public BigDecimal violateAmount;
    }
}
